Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 21 Aug 2014, 04:16
All times are UTC - 4
 Forum index » House Training » Beginners Help ( Start Here)
How to install HP Deskjet D1663 in Lucid 5.2.5 [Solved]
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [13 Posts]  
Author Message
Marcelo


Joined: 26 Apr 2011
Posts: 48

PostPosted: Sat 11 Jun 2011, 11:41    Post subject:  How to install HP Deskjet D1663 in Lucid 5.2.5 [Solved]
Subject description: it just won't print...
 

I followed the instructions in this thread:
http://www.murga-linux.com/puppy/viewtopic.php?t=66533&sid=cae26ab5fb8c71d24ae59bec3c98e98a
to install a USB Deskjet D1663 printer

1. Installed the HP Printer Drivers (hpijs-3.10.6-dynppd) from Package Manager.
2. Installed the printer (Setup / Cups Printer Wizard and followed the instructions there).

First installed the printer as HP Deskjet d1600 Series hpijs (1st option in CUPS) and it did not work. Deleted it, installed it as HP Deskjet d1600 Series hpijs, 3.10.6 (2nd option in CUPS), and it did not work. First time I tried it "not shared", second time tried it as "shared".

When I say it did not work I mean: I tried to print a Test Page from the Maintenance button in CUPS, nothing was printed although the job appears in CUPS as completed. I also tried to print an Abiword document, same thing, it appears as completed, but was never printed.

Yes, my printer is connected. I disconnected it, reconnected it... nothing.

Last edited by Marcelo on Thu 21 Jul 2011, 14:37; edited 4 times in total
Back to top
View user's profile Send private message 
Marcelo


Joined: 26 Apr 2011
Posts: 48

PostPosted: Sat 11 Jun 2011, 12:05    Post subject:  

I checked the status of the printer with command line lpstat -p -d and the answer is:

"printer HP_Deskjet_D1600_series is idle. enabled since Sat 11 Jun 2011 05:52:23 PM GMT-8
Printer is now online."
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9034
Location: Stratford, Ontario

PostPosted: Sat 11 Jun 2011, 14:08    Post subject:  

Are you sure that this printer actually works? Will it print a self-test page?

I have a Deskjet f4280, so I installed it in Lupu 525 as a Deskjet d1600. It worked fine.
Back to top
View user's profile Send private message 
Marcelo


Joined: 26 Apr 2011
Posts: 48

PostPosted: Sat 11 Jun 2011, 14:28    Post subject: it works  

Hi rcrsn51! Thanks for answering.

Yes, the printer works in Windows.

By the way, I found this thread:

http://www.murga-linux.com/puppy/viewtopic.php?search_id=1739687110&t=52104

in which you helped successfully another user, and there you posted a link to a driver that may work for my printer as well (HP Deskjet D1663 and HP Deskjet D1660 have the same driver), but the link in the thread is broken. May be you know how can I get that driver...

Or may be you have some other good idea Smile

Meantime, I am ashamed to say I am saving my documents in Windows (mounted SDA1) and printing there... Embarassed
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9034
Location: Stratford, Ontario

PostPosted: Sat 11 Jun 2011, 14:37    Post subject:  

That link refers to an older version of the HP driver package for Puppy 4.3.1.

What Puppy version are you using?

I can't find any problem reports for this printer in Linux.

All I can suggest is that you boot off the Lupu Live CD using "puppy pfix=ram" and install the driver again.

Or maybe try a newer version of the HPIJS driver package from here.
Back to top
View user's profile Send private message 
Marcelo


Joined: 26 Apr 2011
Posts: 48

PostPosted: Sat 11 Jun 2011, 14:55    Post subject:  

I am using Puppy 5.2.5

I'll try what you said...
Back to top
View user's profile Send private message 
Marcelo


Joined: 26 Apr 2011
Posts: 48

PostPosted: Sat 11 Jun 2011, 17:22    Post subject:  

Nothing worked.

1. I installed hpijs_print-3.11.3.pet, and tried it with the present CUPS 1.4.3 - the printer did not print, although CUPS showed the work as completed.

2. I installed CUPS 1.3.11 over top of the present CUPS, and installed also the older Ghostscript package, as indicated in the thread - same result.

What to do? Go print in Windows? Try an older Puppy?

There should be a hplip for printers in Puppy as there are for other distros...
Back to top
View user's profile Send private message 
Marcelo


Joined: 26 Apr 2011
Posts: 48

PostPosted: Sat 11 Jun 2011, 21:35    Post subject:  

This is how I solved this for myself:

I downloaded Wary 5.1.2 to see if I could install the printer and voilá, there is a hplip driver for Puppy, hpliplite-3.9.8-mu-p4, worked perfectly with CUPS 1.3.11 (the version of CUPS that Wary uses) and the most important, the printer worked like a charm.

For my needs and the machine with which I am working -already an oldie- Wary is perfect, so I stay with it. As long as it is Puppy running on my screen (i.e. a OS small enough to work from RAM = fast!) I am happy.

As for how to make it work with Lucid 5.2.5... I don't know.
Back to top
View user's profile Send private message 
Marcelo


Joined: 26 Apr 2011
Posts: 48

PostPosted: Thu 21 Jul 2011, 14:54    Post subject:  

Here is how to install the printer in Lucid 5.2.5:

1. Download and install hplip_print-3.11.5.pet from here.
2. Go to Menu/Setup/CUPS Printer Wizard
3. In CUPS open the Administration tab
4. Under the section "Printers" choose "Find New Printers"
5. Follow the instructions...

Last edited by Marcelo on Thu 21 Jul 2011, 15:17; edited 1 time in total
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9034
Location: Stratford, Ontario

PostPosted: Thu 21 Jul 2011, 14:58    Post subject:  

Is this for Wary or Lucid or both? Could you do a bit of testing and confirm this?
Back to top
View user's profile Send private message 
Marcelo


Joined: 26 Apr 2011
Posts: 48

PostPosted: Thu 21 Jul 2011, 15:30    Post subject:  

This is for Lucid 5.2.5

Wary uses an older version of CUPS, and the driver to download is hpliplite-3.9.8-mu-p4 which can be found in Puppy Package Manager in the Repo puppy-wary5 (open Puppy Package Manager, check the Repo puppy-wary5 if it is not checked, in the "Find" box write hpliplite and then click [Go]). The driver will require the installation of libnetsnmp-15-mu-p4 if it is not already installed. Install both. Then proceed from point 2 as above.

This is how I installed the printer in Wary 5.1.2

Last edited by Marcelo on Thu 21 Jul 2011, 16:32; edited 1 time in total
Back to top
View user's profile Send private message 
Marcelo


Joined: 26 Apr 2011
Posts: 48

PostPosted: Thu 21 Jul 2011, 15:51    Post subject:  

Correction: hplip_print-3.11.5.pet works also in Wary 5.1.2. So the printer can be installed in Wary using either hpliplite-3.9.8-mu-p4 or hplip_print-3.11.5.pet.

However, the inverse is not true: hpliplite-3.9.8-mu-p4 didn't work in Lucid 5.2.5
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9034
Location: Stratford, Ontario

PostPosted: Thu 21 Jul 2011, 16:13    Post subject:  

Thanks. That's what I expected.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [13 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Beginners Help ( Start Here)
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0695s ][ Queries: 11 (0.0115s) ][ GZIP on ]